/****************************************************************************************************

		WireFrameState.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	4/18/2001

****************************************************************************************************/

#ifndef __WireFrameState__
#define __WireFrameState__

#if CP_PRAGMA_ONCE
#pragma once
#endif


enum EWireFrameState
{
	kWireFrameState_Off = 0,	//The wireframe is never visible, even if the tree is selected.
	kWireFrameState_On,			//The wireframe is visible only if the tree is selected.
	kWireFrameState_PinnedOn,	//The wireframe is alway visible, even if the tree is not selected.
	kWireFrameState_Total,		//The number of wireframe states.
	kWireFrameState_Max	= 0x7FFFFFFF //Force the compiler to use an int32
};


#endif






